// Header File
// Created 3/5/2005; 10:10:25 AM

//******************************************************************************
//
// file name:       FileUtils.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
//******************************************************************************


#ifndef _FileUtils
#define _FileUtils

#include "BasicTypes.h"


bool  OpenFolder(char* folderName);
void* OpenFile(char* filename);
bool  CloseFile(char* fileName);
bool  ArchiveFile(char* fileName);
bool  UnarchiveFile(char* fileName);
void* NewFile(char* fileName, void* pSource, uint2 size);
char* FindFileType(char* fileType, bool findNext);
//bool  DeleteFile(char* fileName);


#endif
